DiscoveryTransportChannel (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.DiscoveryTransportChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class DiscoveryTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelSupport
          org.codehaus.activemq.transport.composite.CompositeTransportChannel
              org.codehaus.activemq.transport.reliable.ReliableTransportChannel
                  org.codehaus.activemq.transport.DiscoveryTransportChannel

All Implemented Interfaces:
  DiscoveryListener, ExceptionListener, PacketListener, Service, TransportChannel

public class DiscoveryTransportChannel
extends ReliableTransportChannel
implements DiscoveryListener

A `ReliableTransportChannel` which uses a `DiscoveryAgent` to discover remote broker instances and dynamically connect to them.

Version:
  $Revision: 1.3 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.composite.CompositeTransportChannel
`channel, closed, currentURI, failureSleepTime, maximumRetries, started, uris, wireFormat`

Fields inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`pendingStop, transportConnected`

Constructor Summary
`DiscoveryTransportChannel(WireFormat wireFormat, DiscoveryAgent discoveryAgent)`

Method Summary
`void` | `addService(DiscoveryEvent event)`
`DiscoveryAgent` | `getDiscoveryAgent()`
`String` | `getRemotePassword()`
`String` | `getRemoteUserName()`
`void` | `removeService(DiscoveryEvent event)`
`void` | `setDiscoveryAgent(DiscoveryAgent discoveryAgent)`
`void` | `setRemotePassword(String remotePassword)`
`void` | `setRemoteUserName(String remoteUserName)`
`void` | `start()` start the connection
`void` | `stop()` stop this channel

Methods inherited from class org.codehaus.activemq.transport.reliable.ReliableTransportChannel
`asyncSend, configureChannel, consume, doReconnect, extractURI, fireException, getEstablishedChannel, onException, send, toString`

Methods inherited from class org.codehaus.activemq.transport.composite.CompositeTransportChannel
`attemptToConnect, canProcessWireFormatVersion, establishConnection, getChannel, getCurrentWireFormatVersion, getEstablishConnectionTimeout, getFailureSleepTime, getMaximumRetries, getUris, isMulticast, send, setEstablishConnectionTimeout, setExceptionListener, setFailureSleepTime, setMaximumRetries, setPacketListener, setUris`

Methods inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`addTransportStatusEventListener, doAsyncSend, doConsumePacket, doConsumePacket, doHandleReceipt, doHandleWireFormat, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, isPendingStop, isServerSide, isTransportConnected, onAsyncException, removeTransportStatusEventListener, setClientID, setPendingStop, setServerSide, setTransportChannelListener, setTransportConnected, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscoveryTransportChannel

    public DiscoveryTransportChannel(WireFormat wireFormat,
                                     DiscoveryAgent discoveryAgent)

Method Detail

### start

    public void start()
               throws JMSException

  Description copied from class: `ReliableTransportChannel`
  start the connection

  Specified by:
    `start` in interface `TransportChannel`
  Overrides:
    `start` in class `ReliableTransportChannel`
  Throws:
    `JMSException`

### stop

    public void stop()

  Description copied from class: `ReliableTransportChannel`
  stop this channel

  Specified by:
    `stop` in interface `TransportChannel`
  Overrides:
    `stop` in class `ReliableTransportChannel`

### addService

    public void addService(DiscoveryEvent event)

  Specified by:
    `addService` in interface `DiscoveryListener`

### removeService

    public void removeService(DiscoveryEvent event)

  Specified by:
    `removeService` in interface `DiscoveryListener`

### getDiscoveryAgent

    public DiscoveryAgent getDiscoveryAgent()

### setDiscoveryAgent

    public void setDiscoveryAgent(DiscoveryAgent discoveryAgent)

### getRemotePassword

    public String getRemotePassword()

### setRemotePassword

    public void setRemotePassword(String remotePassword)

### getRemoteUserName

    public String getRemoteUserName()

### setRemoteUserName

    public void setRemoteUserName(String remoteUserName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.